.buscar{
    font-size: 5rem;

}
.loader-horizontal {
width: 100%;
height: 10px;
background-color: #f3f3f3;
border-radius: 5px;
overflow: hidden;
}

.loader-horizontal::before {
content: '';
display: block;
width: 0%;
height: 100%;
background-color: #3498db;
animation: load 2s linear infinite;
}

@keyframes load {
0% {
width: 0%;
}
100% {
width: 100%;
}
}

/* ---------------scroll---------------------- */
.contenedor {
 min-height: 100vh;
  overflow-y: auto;
  border-radius: 10px;
}

.cover{
	background: 50% 50% no-repeat;
	background-size: cover;
}
/* --------------------IMAGEN BUSQUEDA----------------------- */
#imagen-container {
    position: absolute;
    top: 50px; /* ajusta la posición según sea necesario */
    left: 50%;
    transform: translateX(-50%);
}

#imagen-container img {
    width: 500px; /* ajusta el tamaño según sea necesario */
    height: 300px;
}

#imagen-container p {
    position: absolute;
    top: 30%;
    left: 60%;
    transform: translate(-50%, -50%);
    color: #0c0c0c; /* ajusta el color del texto según sea necesario */
    font-size: 35px; /* ajusta el tamaño del texto según sea necesario */
    font-style: italic;
    font-weight: bold; /* negrillas */

}


/* ------------------------------------------------------------- */

.imagen-modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #ffffff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    z-index: 1000;
    max-width: 90%;
    max-height: 90vh;
    overflow-y: auto;

}

.imagen-modal img {
    width: 100%;
    height: auto;
    cursor: pointer;

}

/* Ajuste en móviles */
@media (max-width: 640px) {
    .imagen-modal {
        padding: 10px;
        border-radius: 8px;
    }
}


/* ----------------EFECTO ---------------- */

    /* Contenedor del marquee */
    .marquee-container {
      width:100%;
      overflow:visible;
      white-space: nowrap;
      
    }

    /* Texto desplazable */
    .marquee-text {
      animation: scroll 7s linear infinite;
      font-weight: 800;
      padding-left: 100%;
    }

    @keyframes scroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-100%);
    }
    }